Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.runtime
Class Attributes

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.runtime.Attributes

public final class Attributes
extends java.lang.Object
implements AttributeList

Constructor Summary
`Attributes(DOM document, int element)`

Method Summary
`int` | `getLength()`
`java.lang.String` | `getName(int i)`
`java.lang.String` | `getType(int i)`
`java.lang.String` | `getType(java.lang.String name)`
`java.lang.String` | `getValue(int i)`
`java.lang.String` | `getValue(java.lang.String name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Attributes

    public Attributes(DOM document,
                      int element)

Method Detail

### getLength

    public int getLength()

  Specified by:
    getLength in interface AttributeList

### getName

    public java.lang.String getName(int i)

  Specified by:
    getName in interface AttributeList

### getType

    public java.lang.String getType(int i)

  Specified by:
    getType in interface AttributeList

### getType

    public java.lang.String getType(java.lang.String name)

  Specified by:
    getType in interface AttributeList

### getValue

    public java.lang.String getValue(int i)

  Specified by:
    getValue in interface AttributeList

### getValue

    public java.lang.String getValue(java.lang.String name)

  Specified by:
    getValue in interface AttributeList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.